Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 623592 - consumergroup: unable to add_consumer
consumergroup: unable to add_consumer
Status: CLOSED NOTABUG
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 05:01 EDT by wes hayutin
Modified: 2015-03-22 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 15:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-08-12 05:01:18 EDT
commit bf585b29f96375917499d850d93859e00088c4fd

[root@localhost tmp]# pulp -u test01 -p dog8code consumergroup add_consumer --consumerid=consumerid-test01 id=consumergroup-test01
group id required. Try --help

[root@localhost tmp]# pulp -u test01 -p dog8code consumergroup add_consumer --consumerid=consumerid-test01 consumergroup-test01
group id required. Try --help

[root@localhost tmp]# pulp -u test01 -p dog8code consumergroup add_consumer --consumerid=consumerid-test01 --help
Usage: pulp -u <username> -p <password> consumergroup add_consumer [OPTIONS]


Options:
  -h, --help            show this help message and exit
  --consumerid=CONSUMERID
                        Consumer Identifier
  --id=GROUPID          Consumer Group Identifier
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED
Comment 1 wes hayutin 2010-08-12 05:02:27 EDT
commit bf585b29f96375917499d850d93859e00088c4fd
Comment 2 Sayli Karmarkar 2010-08-12 14:23:22 EDT
Seems like a user error. Option should be "--id=" and not "id=".


[root@pulp-server pulp]# pulp-admin -u admin -p admin consumergroup add_consumer --id=mygroup --consumerid=myclient
 Successfully added Consumer [myclient] to Group [mygroup]
Comment 3 wes hayutin 2010-08-12 15:03:23 EDT
lol. crap.. sorry Sayli

Note You need to log in before you can comment on or make changes to this bug.